
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Orchard官方文档翻译(十) 管理Widgets / 憋错料</title>

    <meta name="description" content="Orchard官方文档翻译(十) 管理Widgets 原文地址:http://docs.orchardproject.net/Documentation/Managing-widgets 想要查看文档目录请用力点击这里 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正 管理部件(widgets) 在Orchard中,widget以UI片段(HTML)或代码段(内容的一部分)的形式存在,并且可以很容易的映射至任何位置或区">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Orchard官方文档翻译(十) 管理Widgets</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1><strong>原文地址:<a href="http://docs.orchardproject.net/Documentation/Managing-widgets" rel="external nofollow noreferrer">http://docs.orchardproject.net/Documentation/Managing-widgets</a></strong></h1>
<p><strong><strong>想要查看文档目录请用力点击<a href="http://www.cnblogs.com/windzhao/p/4259094.html" rel="external nofollow noreferrer">这里</a></strong></strong></p>
<p>最近想要学习了解orchard，但却没有找到相关的中文文档，只有英文文档。于是决定自行翻译，以便日后方便翻阅。</p>
<p>转载请注明原作者与出处。</p>
<p>本人英文水平有限，错误之处欢迎指出以便修正</p>
<h1>管理部件(widgets)</h1>
<p>在Orchard中,widget以UI片段(HTML)或代码段(内容的一部分)的形式存在，并且可以很容易的映射至任何位置或区域，例如侧边栏或页脚区域。导航菜单，图片库，广告，视频以及云标签都是以widget的形式嵌入到页面中的。</p>
<p>该文章解释了widget的一些基础以及如何管理它们。</p>
<h1>布局(Layers),区域(Zones),部件(Widgets)</h1>
<p>在Orchard中，通过点击dashboard的<strong>Widgets</strong>来进入widgets管理界面。该界面显示了已激活的<strong>widgets</strong>列表以及指定widget属于哪个<em>layer</em>，哪个<em>zone</em>&nbsp;。</p>
<p>你甚至可以认为<em>layer</em>就是设置widget显示规则的地方(或widgets组)。例如，layer允许只显示一个widget来建立一个特定的只用于用户的登陆的页面。<em>zone</em>主要用于widget在页面上的定位。</p>
<p>下面的图片展示了<strong>Widgets</strong>的管理界面。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcmNoYXJkcHJvamVjdC5uZXQvVXBsb2FkL3NjcmVlbnNob3RzXzY3NS93aWRnZXRzX21hbmFnZV8xXzY3NS5wbmc=.jpg" /></p>
<h2>已激活的Widgets</h2>
<p>无论何种情况下某个widget变为激活状态(通常是通过daoshboard下的<strong>Modules</strong>界面的<strong>Features</strong>来添加的额外功能)，Orchar都会将其以列表的形式添加到当前外观主题下(theme)的区域(zone)中。想要查看某个区域内的可用widgets列表，在<strong>Widgets</strong>界面下点击区域列表下的<strong>Add</strong>按钮即可。</p>
<p>例如，进入<strong>Widgets</strong>界面点击<strong>Header</strong>区域的<strong>Add</strong>按钮。该区域下可以选择的widgets会以列表的形式展示出来。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcmNoYXJkcHJvamVjdC5uZXQvVXBsb2FkL3NjcmVlbnNob3RzXzY3NS93aWRnZXRzX2Nob29zZXdpZGdldF82NzUucG5n.jpg" /></p>
<p>下面的表格描述了Orchard下默认激活的widgets具有什么样的作用。</p>
<table>
<thead>
<tr>
<td>Widget</td>
<td>Description</td>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Blog Archives</strong></td>
<td>以列表的形式展示博客存档细节</td>
</tr>
<tr>
<td><strong>Container Widget</strong></td>
<td>展示一个"容器"项，例如列表</td>
</tr>
<tr>
<td><strong>Html Widget</strong></td>
<td>展示HTML内容，通过部件编辑器来进入</td>
</tr>
<tr>
<td><strong>Recent Blog Posts</strong></td>
<td>以列表的形式展示博文细节</td>
</tr>
</tbody>
</table>
<h2>布局(Layers)列表</h2>
<p>Orchard本身已经定义了一些布局。你可以根据自身需要来增加新的布局，具体详情会在&nbsp;<a href="http://docs.orchardproject.net/Documentation/Managing-widgets#AddingaLayer" rel="external nofollow noreferrer">Adding a Layer</a>&nbsp;中讨论。在Widgets界面中，你能够通过<strong>Current Layer</strong>下拉框来选择已存在的布局进行编辑，或者通过点击<strong>Add a new layer</strong>来增加新的布局规则。</p>
<p>下面的表格已列表的形式列出了默认布局，预设的布局规则，以及布局的描述。</p>
<table>
<thead>
<tr>
<td>Layer</td>
<td>Rule</td>
<td>Description</td>
</tr>
</thead>
<tbody>
<tr>
<td>Default</td>
<td>true</td>
<td>默认布局</td>
</tr>
<tr>
<td>Authenticated</td>
<td>authenticated</td>
<td>已登陆用户所使用的布局</td>
</tr>
<tr>
<td>Anonymous</td>
<td>not authenticated</td>
<td>未登录用户所使用的布局</td>
</tr>
<tr>
<td>Disabled</td>
<td>false</td>
<td>不显示。该布局仅仅提供了设置部件的通道且不会显示出来。</td>
</tr>
<tr>
<td>TheHomepage</td>
<td>url("~/")</td>
<td>首页布局</td>
</tr>
</tbody>
</table>
<h2>区域(Zones)列表</h2>
<p>在Orchard中，web页面被分隔为不同的区域(zones)。可用的区域定义在站点的外观主题中。在<strong>Widgets</strong>界面中,可以看到当前所选布局的区域列表。该列表通常还会展示每个区域下所分配的部件。</p>
<p>更多关于外观主题以及区域的信息，查看<a href="http://docs.orchardproject.net/Documentation/Customizing-the-default-theme" rel="external nofollow noreferrer">Customizing the Default Theme</a>。</p>
<h1>新增布局</h1>
<p>增加新的布局，进入dashboard，点击<strong>Widgets</strong>。在<strong>Widgets</strong>界面下，点击<strong>Add a new layer</strong>。点击后，<strong>Add Layer</strong>&nbsp;界面会被展示:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcmNoYXJkcHJvamVjdC5uZXQvVXBsb2FkL3NjcmVlbnNob3RzXzY3NS93aWRnZXRzX0FkZExheWVyXzFfNjc1LnBuZw==.jpg" /></p>
<p>要定义一个新的布局，输入布局名称，描述，以及定义布局规则。完成这一切后，点击<strong>Save</strong>。</p>
<p><strong>Layer Rule</strong>是输入布局规则表达式的地方，表达式会被解析为匹配与否<strong>。</strong>如果解析通过，该布局下的widget才会被展示，否则不会展示。</p>
<p>下面的表格总结了创建布局规则所使用的语法。</p>
<table>
<thead>
<tr>
<td>语法规则</td>
<td>描述</td>
</tr>
</thead>
<tbody>
<tr>
<td>url("&lt;url&nbsp;path&gt;")</td>
<td>与当前URL匹配时解析通过。如果在结尾的位置输入(*)，则该子文件夹下所有的页面都会在解析规则时通过。(例如,&nbsp;<code>url("~/home*")</code>)</td>
</tr>
<tr>
<td>authenticated</td>
<td>用户登录后匹配通过</td>
</tr>
<tr>
<td>ContentType("&lt;Type&gt;")</td>
<td>匹配某种内容类型。例如， ContentType("Page")</td>
</tr>
<tr>
<td>not</td>
<td>逻辑NOT</td>
</tr>
<tr>
<td>and</td>
<td>逻辑AND</td>
</tr>
<tr>
<td>or</td>
<td>逻辑OR</td>
</tr>
</tbody>
</table>
<p>表达式中可以使用圆括号。</p>
<p>例如，下面的规则定义了用户未登录且所访问的页面为<strong>About</strong>页面时所展示的widget，或用户已登陆时所有页面所展示的widget。</p>
<pre><code>(not authenticated and url("~/about")) or authenticated
</code></pre>
<p>要应用规则与多个URL，使用下面的语法即可。</p>
<pre><code>url("~/foo") or url("~/bar")
</code></pre>
<h1>为区域(Zone)分配部件(Widget)</h1>
<p>要为Zone分配widget，点击想要添加widget的zone旁边的Add按钮，然后选择想要添加的widget即可。</p>
<p>例如，点击Header zone上的<strong>Add</strong>按钮 ，然后再选择widget的界面点击<strong>Html Widget</strong>。</p>
<p>点击后<strong>Add A Widget</strong>的界面户会展示出来。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcmNoYXJkcHJvamVjdC5uZXQvVXBsb2FkL3NjcmVlbnNob3RzXzY3NS93aWRnZXRzX0FkZFpvbmVfMV82NzUucG5n.jpg" /></p>
<p>在相应的文本框内填入widget所依赖的内容。无论什么样的情况下，widget都需要区域(Zone)，布局(Layer)，标题(Title)以及位置(Position)。<strong>Position</strong>&nbsp;作用是当一个区域内有多个widget是它们的排列顺序。(例如, css中的z-order)。务必要记住的是，zone是可以属于多个layers的。例如，两个不同的layers都包含某些zone的widgets。</p>
<p><strong>Position</strong>文本框可以输入数字以及以‘.‘分隔的数字。例如，如下的值都可以填入：5, 10.1, 7.5.3.1。widgets的position值比较小时会被该值更高的widget所覆盖。</p>
<p>完成所有字段的设置后，点击<strong>Save</strong>。</p>
<h1>编辑或删除Widget</h1>
<p>要删除或编辑widget，进入<strong>Widgets</strong>界面，通过<strong>Current Layers</strong>下拉框来选择widget所在的layer。在layer的zone列表中，点击想要编辑的widget。</p>
<p>点击后，<strong>Edit Widget</strong>界面户会展现出来：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcmNoYXJkcHJvamVjdC5uZXQvVXBsb2FkL3NjcmVlbnNob3RzXzY3NS93aWRnZXRzX0RlbGV0ZV8xXzY3NS5wbmc=.jpg" /></p>
<p>在文本框中编辑想要更改的内容，然后点击<strong>Save</strong>。想要从zone中删除widget，点击&nbsp;<strong>Delete。</strong></p>
<p>该文章发布地址：<a href="http://www.cnblogs.com/windzhao/p/4316807.html" rel="external nofollow noreferrer">http://www.cnblogs.com/windzhao/p/4316807.html</a></p>
<p>各位看官如果觉得本文帮助到了您，请点击右下角的推荐来给予本人支持。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-09 17:22:06 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Orchard官方文档翻译(十) 管理Widgets的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qPgo90.html" rel="bookmark">Orchard官方文档翻译&lpar;一&rpar;  总览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/ 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正. Orchard 文档 Note: 该文档站点内的所有与orchard相关的内容均来自于社区的贡献. 如果你愿意做出贡献,请参阅文档样式指导方针来发布建议主题. 让我们开始 安装 Orchard 通过zip文件手动安装Orchard 让Orch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ARJVZM.html" rel="bookmark">Orchard官方文档翻译&lpar;八&rpar; 为站点增加博客</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/Documentation/Adding-a-blog-to-your-site 想要查看文档目录请用力点击这里 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正 为站点增加博客 该主题内容已在Orchard 1.8 release版本下测试通过 通过使用Orchard的博客引擎可以轻松得为站点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoLR1D0.html" rel="bookmark">Orchard官方文档翻译&lpar;九&rpar; 新增并管理媒体资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/Documentation/Adding-and-managing-media-content 想要查看文档目录请用力点击这里 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正 新增并管理媒体资源 当你通过Orchard中的富文本编辑器上传图片的时 (或者使用XML-RPC客户端,例如Windo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGG1dAM.html" rel="bookmark">Orchard官方文档翻译&lpar;六&rpar; 建立你的第一个Orchartd站点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				让我们开始 该主题内容已在Orchard1.8Release版本下测试通过. 这里通过向导式的教程来告诉大家Orchard的功能如何使用.如果你是第一次使用Orchard,该文档就是为你而准备的! Orchard使用从零开始 对于初次接触Orchard的你来说,这里就是你的圣地,因为你能在这里找到最新的Orchard资源. Orchard 初学者 Orchard CodePlex - Orchard代码库 Orchard 讨论区 - 关于Orchard讨论区 Orchard 文档 - 与Orch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47GYKo4.html" rel="bookmark">Orchard官方文档翻译&lpar;五&rpar; Dashboard相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/Documentation/Getting-around-the-dashboard 想要查看文档目录请用力点击这里 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正. Dashboard相关 该主题内容已在Orchard1.8版本下测试通过. 通过Orchard dashboard管理站点,可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQD173.html" rel="bookmark">Orchard官方文档翻译&lpar;十一&rpar; 使用Tags组织文本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/Documentation/Organizing-content-with-tags 想要查看文档目录请用力点击这里 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正 使用Tags组织文本 Content Orchard中的文本内容可以通过tags标签来分类.我肯可以通过URL中附加的关键字来进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nqWwVM.html" rel="bookmark">Orchard官方文档翻译&lpar;七&rpar; 导航与菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/Documentation/Navigation-and-menus 想要查看文档目录请用力点击这里 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正 导航与菜单 该主题内容已在Orchard1.8 release版本下测试铜鼓.其中还引用了Orchard &lt; 1.5 版本的导航部分内容. 有许			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38r5rKM.html" rel="bookmark">Orchard官方文档翻译&lpar;四&rpar; 让Orchard在WebMatrix下工作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/Documentation/Working-with-Orchard-in-WebMatrix 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正. 让Orchard在WebMatrix下工作 WebMatrix,微软的一站式web开发工具,让你创建.编辑.发布web站点时拥有前所未有的便捷.We			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KWAGy0.html" rel="bookmark">Orchard官方文档翻译&lpar;三&rpar;  通过zip文件手动安装Orchard</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://docs.orchardproject.net/Documentation/Manually-installing-Orchard-zip-file 最近想要学习了解orchard,但却没有找到相关的中文文档,只有英文文档.于是决定自行翻译,以便日后方便翻阅. 转载请注明原作者与出处. 本人英文水平有限,错误之处欢迎指出以便修正. 手动安装Orchard Zip文件 该主题的内容已在Orchard1.8Release版本下通过测试. 该主题展示了执行通过zip文件Orch			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM6pKy3.html" rel="bookmark" class="title">深入理解Oracle RAC 12c</a>
					<div>
						深入理解Oracle RAC 12c(顶尖专家权威指南唯一最新版数据库著作 Oracle第一社区技术大牛翻译 Amazon五星推荐) [美]Syed Jaffar Hussain(赛义德 贾法尔 侯赛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02bRqA0.html" rel="bookmark" class="title">如何离线安装chrome插件</a>
					<div>
						前言------可以不看: 实习做web,要弄单点登录SSO和验证Controller接口是否成功返回数据,要装两个chrome插件(Postman和JsonView),来发送Post请求测试单点登录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmpOv4.html" rel="bookmark" class="title">mysql查看数据表索引信息</a>
					<div>
						查看索引 mysql&gt; show index from tblname; mysql&gt; show keys from tblname; · Table 表的名称. · Non_unique ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8doQ0.html" rel="bookmark" class="title">Unity3D for VR 学习&lpar;6&rpar;&colon; 再次温故知新-3D数学</a>
					<div>
						一年前,系统学习过3D数学,并记录了一篇博客&lt;C#程序员整理的Unity 3D笔记(十):Unity3D的位移.旋转的3D数学模型&gt;. 一年后,再次温习之. 坐标系:Unity3D使用左手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlBxQ4.html" rel="bookmark" class="title">CoreData 简单介绍</a>
					<div>
						1.Core Data提供了一种简便的对象持久化管理方法(是数据持久化的最佳方式),使你可以不用关心数据的存储,只需要关心对象的增加.删除.更改.读写. Core Data框架提供了对象-关系映射(O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg5Rr83.html" rel="bookmark" class="title">Beta测试 &lbrack; 光影人像  东海陈光剑 的博客 &rsqb;</a>
					<div>
						?? 这次与美国的Yahoo.Google.Ebay等公司的资深工程师及管理者交流后,发现他们对产品的上线管理是非常重视与慎重的.基本上每个新产品或者大的改动都会经过严谨的Beta测试.Beta版本本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KqBPY4.html" rel="bookmark" class="title">在c&num;中的TextBox响应回车键发出&OpenCurlyDoubleQuote;咚&rdquo;的一声解决方法</a>
					<div>
						在Win7系统的VS2012下的Form中,响应TextBox的KeyDown事件后,当按下回车键时发出“咚”的一声,百度后得到一下这样一个说法: 这是对于 windows 窗口标准程序而言,每个窗口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5dyD0.html" rel="bookmark" class="title">dns记录整理</a>
					<div>
						由于在使用DNS管理后台之前DNS记录是手动去写入的,记录格式有点乱. 现在按格式整理DNS记录(A记录以及CNAME记录): domain            TTL    type    dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moxmdy0.html" rel="bookmark" class="title">Qt OpenGL三维绘图</a>
					<div>
						简介 OpenGL是为三维绘图提供的标准应用编程接口. OpenGL处理的仅仅是三维绘图方面,而很少或是根本不提供图形用户界面编程方面的支持.OpenGL*应用程序的用户界面必须由其它工具包创建,比如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AG8E3.html" rel="bookmark" class="title">【vmcloudlab】Hyper-V平台上安装Linux集成服务</a>
					<div>
						由于Hyper-v没有集成Linux集成服务安装包,需要我们单独去下载,截止目前最新的版本为3.5 下载地址: http://www.microsoft.com/zh-cn/download/deta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NnjQy4.html" rel="bookmark" class="title">VMware ESXI 5&period;5报错The ramdisk &amp;&num;39&semi;root&amp;&num;39&semi; is full&period;</a>
					<div>
						登录虚拟化物理机,执行: vdf -h 查看RAMDISK的情况,root已经98%,一般是因为root分区下有大文件所致,删除比较大的日志文件就能解决,一般在/或者/var/log下. VMware ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLew74.html" rel="bookmark" class="title">总结-数学</a>
					<div>
						数学 比较害怕数学题, 因为数学题一般代码比较短, 一旦想到正解往往就能AC, 但是我数学水平很洼, 知道的东西也比较少. 感觉写写暴力拿部分分比较现实. 毕竟不是每个人都能找到正解. 1. 组合数  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmZr5M.html" rel="bookmark" class="title">vsftpd 文件权限</a>
					<div>
						配置文件:vsftpd.conf vim  /etc/vsftpd/vsftpd.conf anonymous_enable=NO local_enable=YES write_enable=YES  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjDBOM.html" rel="bookmark" class="title">使用 MVVMLight 绑定数据（转）</a>
					<div>
						MVVMLight绑定数据示例 好了,我们在新建了两个项目,分别是“MVVMLight的主程序” 与  “Model层”,运行的效果及解决方案结构如下: 其实很简单,就是绑定了一个数据源而已,编写的代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9RqJ0.html" rel="bookmark" class="title">UIWebView与JavaScript&lpar;JS&rpar; 回调交互 -备</a>
					<div>
						很多关于objc 与 js 交互的文章都比较适用于 mac开发,iOS的webview 还是有所不一样, 参考:http://blog.sina.com.cn/s/blog_693de6100102v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49lRab3.html" rel="bookmark" class="title">UVa 10192 - Vacation &lpar; LCS 最长公共子串&rpar;</a>
					<div>
						链接:UVa 10192 题意:给定两个字符串,求最长公共子串的长度 思路:这个事最长公共子串的直接应用 #include&lt;stdio.h&gt; #include&lt;string.h&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyNmdm0.html" rel="bookmark" class="title">java-se-面试&lpar;3&rpar;-java中的匿名内部类总结</a>
					<div>
						java中的匿名内部类总结 匿名内部类也就是没有名字的内部类 正因为没有名字,所以匿名内部类只能使用一次,它通常用来简化代码编写 但使用匿名内部类还有个前提条件:必须继承一个父类或实现一个接口 实例1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38kgYK0.html" rel="bookmark" class="title">自定义uitableviewcell，层层封装</a>
					<div>
						封装,好处:减少viewcontroller累里的代码量,方便后期维护 cell: .h 1 #import &lt;UIKit/UIKit.h&gt; 2 @class HMStatusFrame; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QLypl3.html" rel="bookmark" class="title">POJ 2481Cows（树状数组 &plus; 好题）</a>
					<div>
						Cows Time Limit: 3000MS   Memory Limit: 65536K Total Submissions: 15222   Accepted: 5070 Description ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZKQzd4.html" rel="bookmark" class="title">webstrom  应用 转（http&colon;&sol;&sol;blog&period;csdn&period;net&sol;zghekuiwu&sol;article&sol;details&sol;54382145）</a>
					<div>
						WebStorm 是 JetBrains 推出的一款商业的 JavaScript 开发工具 任何一个编辑器都需要保存(ctrl + s),这是所有win平台上编辑类软件的特点,但是webstorm编辑 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
